Bug 980043 - quota: regex in logging message
quota: regex in logging message
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: quota (Show other bugs)
2.1
x86_64 Linux
medium Severity medium
: ---
: RHGS 3.1.0
Assigned To: Vijaikumar Mallikarjuna
Anil Shah
: EasyFix, ZStream
Depends On:
Blocks: 1202842 1212787 1223636
  Show dependency treegraph
 
Reported: 2013-07-01 05:57 EDT by Saurabh
Modified: 2016-09-17 08:39 EDT (History)
9 users (show)

See Also:
Fixed In Version: gluster-3.7.0-2.el6rhs
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1197585 1212787 (view as bug list)
Environment:
Last Closed: 2015-07-29 00:28:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2013-07-01 05:57:50 EDT
Description of problem:
in quotad.log,

there is some regex being mentioned as the "I" message
[2013-07-01 02:21:40.071912] I [glusterfsd-mgmt.c:56:mgmt_cbk_spec] 0-mgmt: Volume file changed
[2013-07-01 02:21:40.171843] I [glusterfsd-mgmt.c:56:mgmt_cbk_spec] 0-mgmt: Volume file changed
[2013-07-01 02:21:40.183172] I [dht-shared.c:311:dht_init_regex] 0-dist-rep: using regex rsync-hash-regex = ^\.(.+)\.[^.]+$
[2013-07-01 02:21:40.183403] I [glusterfsd-mgmt.c:1544:mgmt_getspec_cbk] 0-glusterfs: No change in volfile, continuing


Please remove this kind of message

Version-Release number of selected component (if applicable):
[root@quota1 ~]# rpm -qa | grep glusterfs
glusterfs-geo-replication-3.4.0.12rhs.beta1-1.el6rhs.x86_64
glusterfs-3.4.0.12rhs.beta1-1.el6rhs.x86_64
glusterfs-server-3.4.0.12rhs.beta1-1.el6rhs.x86_64
glusterfs-rdma-3.4.0.12rhs.beta1-1.el6rhs.x86_64
glusterfs-fuse-3.4.0.12rhs.beta1-1.el6rhs.x86_64


How reproducible:
seen in the present build
Comment 3 Vivek Agarwal 2013-10-17 05:56:47 EDT
Per bug triage, removing from the u1 list
Comment 4 Amar Tumballi 2013-10-25 04:33:02 EDT
diff --git a/xlators/cluster/dht/src/dht-shared.c b/xlators/cluster/dht/src/dht-
index 70aac77..0ee8177 100644
--- a/xlators/cluster/dht/src/dht-shared.c
+++ b/xlators/cluster/dht/src/dht-shared.c
@@ -307,7 +307,7 @@ dht_init_regex (xlator_t *this, dict_t *odict, char *name,
         }
 
         if (regcomp(re,temp_str,REG_EXTENDED) == 0) {
-                gf_log (this->name, GF_LOG_INFO,
+                gf_log (this->name, GF_LOG_DEBUG,
                         "using regex %s = %s", name, temp_str);
                 *re_valid = _gf_true;
         }

--------

should fix the issue here. But still not sure if removing this log from INFO level is fine for update1 release.
Comment 5 Vijaikumar Mallikarjuna 2015-03-02 02:45:08 EST
Upstream patch: http://review.gluster.org/#/c/9777/
Comment 7 Anil Shah 2015-06-02 06:13:52 EDT
quota-mount-vol0.log


[2015-06-02 08:54:55.736783] D [quick-read.c:820:check_cache_size_ok] 0-vol0-quick-read: Max cache size is 16694030336
[2015-06-02 08:54:55.736928] D [io-cache.c:1624:check_cache_size_ok] 0-vol0-io-cache: Max cache size is 16694030336
[2015-06-02 08:54:55.737263] D [dht-shared.c:363:dht_init_regex] 0-vol0-dht: using regex rsync-hash-regex = ^\.(.+)\.[^.]+$
[2015-06-02 08:54:55.746950] D [client.c:2371:client_init_grace_timer] 0-vol0-client-3: lk-heal = off

Bug verified successfully on glusterfs 3.7.0 built
Hence marking this bugs as verified.
Comment 9 errata-xmlrpc 2015-07-29 00:28:16 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1495.html

Note You need to log in before you can comment on or make changes to this bug.